<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AnalysisUIOptions">
    <option name="ANALYZE_INJECTED_CODE" value="false" />
    <option name="SCOPE_TYPE" value="3" />
  </component>
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="0af0504b-9c42-4740-bcb5-a21fef212c93" name="Default Changelist" comment="[UNDERTOW-2449] Investigate new failures that started showing up" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="GitSEFilterConfiguration">
    <file-type-list>
      <filtered-out-file-type name="LOCAL_BRANCH" />
      <filtered-out-file-type name="REMOTE_BRANCH" />
      <filtered-out-file-type name="TAG" />
      <filtered-out-file-type name="COMMIT_BY_MESSAGE" />
    </file-type-list>
  </component>
  <component name="HighlightingSettingsPerFile">
    <setting file="jar://$MAVEN_REPOSITORY$/org/jboss/xnio/xnio-api/3.8.8.Final/xnio-api-3.8.8.Final.jar!/org/xnio/channels/Channels.class" root0="SKIP_INSPECTION" />
    <setting file="file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/http2/Http2FrameHeaderParser.java" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/http2/Http2StreamSourceChannel.java" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/HttpServerExchange.java" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/handlers/proxy/ProxyConnectionPool.java" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/handlers/proxy/ProxyHandler.java" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/protocol/ajp/AjpReadListener.java" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/protocol/framed/AbstractFramedStreamSourceChannel.java" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/core/src/main/java/io/undertow/util/AbstractAttachable.java" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/core/src/test/java/io/undertow/testutils/DefaultServer.java" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/HttpServletRequestImpl.java" root0="SKIP_INSPECTION" />
    <setting file="file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/ServletOutputStreamImpl.java" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/ServletPrintWriter.java" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/ServletPrintWriterDelegate.java" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/servlet/src/test/java/io/undertow/servlet/test/response/writer/ResponseWriterServlet.java" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/servlet/src/test/java/io/undertow/servlet/test/response/writer/ResponseWriterTestCase.java" root0="FORCE_HIGHLIGHTING" />
  </component>
  <component name="MarkdownSettingsMigration">
    <option name="stateVersion" value="1" />
  </component>
  <component name="ProblemsViewState">
    <option name="selectedTabId" value="CurrentFile" />
  </component>
  <component name="ProjectColorInfo">{
  &quot;associatedIndex&quot;: 2
}</component>
  <component name="ProjectId" id="222Da4gntt11GOSRPqP0Ne05E4o" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent"><![CDATA[{
  "keyToString": {
    "Application.ProxyHandler.executor": "Run",
    "Application.TestUndertowOverflow (1).executor": "Run",
    "Application.TestUndertowOverflow.executor": "Run",
    "JUnit.SecureCookieHandlerTestCase.executor": "Run",
    "Remote JVM Debug.5005.executor": "Debug",
    "Remote JVM Debug.8787.executor": "Debug",
    "git-widget-placeholder": "UNDERTOW-2611__2.3.x",
    "kotlin-language-version-configured": "true",
    "last_opened_file_path": "/home/fla/Development/projects/undertow_2.3.x",
    "project.structure.last.edited": "Modules",
    "project.structure.proportion": "0.15",
    "project.structure.side.proportion": "0.2",
    "run.code.analysis.last.selected.profile": "pProject Default",
    "settings.editor.selected.configurable": "reference.projectsettings.compiler.javacompiler"
  }
}]]></component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/.github/workflows" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/examples/src/main/resources/io/undertow/examples/overflow" />
    </key>
    <key name="MoveClassesOrPackagesDialog.RECENTS_KEY">
      <recent name="io.undertow.server.protocol" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="io.undertow.server.handlers" />
      <recent name="io.undertow.server" />
      <recent name="io.undertow.server.handlers.accesslog" />
      <recent name="io.undertow.server.protocol.http2" />
      <recent name="io.undertow.server.handlers.proxy" />
    </key>
  </component>
  <component name="RunManager" selected="JUnit.SecureCookieHandlerTestCase">
    <configuration name="ProxyHandler" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="io.undertow.server.handlers.proxy.ProxyHandler" />
      <module name="undertow-core.main" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="io.undertow.server.handlers.proxy.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="TestUndertowOverflow (1)" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="io.undertow.examples.overflow.TestUndertowOverflow" />
      <module name="undertow-examples" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="io.undertow.examples.overflow.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="TestUndertowOverflow" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="io.undertow.examples.overflow.TestUndertowOverflow" />
      <module name="undertow-examples" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="io.undertow.examples.overflow.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Undertow Examples" type="Application" factoryName="Application">
      <option name="ALTERNATIVE_JRE_PATH" value="11" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="true" />
      <option name="MAIN_CLASS_NAME" value="io.undertow.examples.Runner" />
      <module name="undertow-examples" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="Application" factoryName="Application">
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="DefaultMaxHeaderTestCase" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="undertow-core" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="io.undertow.server.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="io.undertow.server.handlers" />
      <option name="MAIN_CLASS_NAME" value="io.undertow.server.handlers.DefaultMaxHeaderTestCase" />
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="SecureCookieHandlerTestCase" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="undertow-core" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="io.undertow.server.handlers.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="io.undertow.server.handlers" />
      <option name="MAIN_CLASS_NAME" value="io.undertow.server.handlers.SecureCookieHandlerTestCase" />
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="JUnit" factoryName="JUnit">
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="5005" type="Remote">
      <option name="USE_SOCKET_TRANSPORT" value="true" />
      <option name="SERVER_MODE" value="false" />
      <option name="SHMEM_ADDRESS" />
      <option name="HOST" value="localhost" />
      <option name="PORT" value="5005" />
      <option name="AUTO_RESTART" value="false" />
      <RunnerSettings RunnerId="Debug">
        <option name="DEBUG_PORT" value="5005" />
        <option name="LOCAL" value="false" />
      </RunnerSettings>
      <method v="2" />
    </configuration>
    <configuration name="8000" type="Remote">
      <option name="USE_SOCKET_TRANSPORT" value="true" />
      <option name="SERVER_MODE" value="false" />
      <option name="SHMEM_ADDRESS" />
      <option name="HOST" value="localhost" />
      <option name="PORT" value="8000" />
      <option name="AUTO_RESTART" value="false" />
      <RunnerSettings RunnerId="Debug">
        <option name="DEBUG_PORT" value="8000" />
        <option name="LOCAL" value="false" />
      </RunnerSettings>
      <method v="2" />
    </configuration>
    <configuration name="8787" type="Remote">
      <option name="USE_SOCKET_TRANSPORT" value="true" />
      <option name="SERVER_MODE" value="false" />
      <option name="SHMEM_ADDRESS" />
      <option name="HOST" value="localhost" />
      <option name="PORT" value="8787" />
      <option name="AUTO_RESTART" value="false" />
      <RunnerSettings RunnerId="Debug">
        <option name="DEBUG_PORT" value="8787" />
        <option name="LOCAL" value="false" />
      </RunnerSettings>
      <method v="2" />
    </configuration>
    <configuration default="true" type="TestNG">
      <option name="TEST_OBJECT" value="CLASS" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <properties />
      <listeners />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <list>
      <item itemvalue="Application.Undertow Examples" />
      <item itemvalue="Application.ProxyHandler" />
      <item itemvalue="Application.TestUndertowOverflow (1)" />
      <item itemvalue="Application.TestUndertowOverflow" />
      <item itemvalue="JUnit.DefaultMaxHeaderTestCase" />
      <item itemvalue="JUnit.SecureCookieHandlerTestCase" />
      <item itemvalue="Remote JVM Debug.5005" />
      <item itemvalue="Remote JVM Debug.8000" />
      <item itemvalue="Remote JVM Debug.8787" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="JUnit.SecureCookieHandlerTestCase" />
        <item itemvalue="Application.ProxyHandler" />
        <item itemvalue="Application.TestUndertowOverflow" />
        <item itemvalue="Application.TestUndertowOverflow (1)" />
        <item itemvalue="JUnit.DefaultMaxHeaderTestCase" />
      </list>
    </recent_temporary>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="SvnConfiguration">
    <configuration>$USER_HOME$/.subversion</configuration>
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="0af0504b-9c42-4740-bcb5-a21fef212c93" name="Default Changelist" comment="" />
      <created>1639026853744</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1639026853744</updated>
    </task>
    <task id="LOCAL-00001" summary="[UNDERTOW-2449] Investigate new failures that started showing up">
      <option name="closed" value="true" />
      <created>1728640284587</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1728640284587</updated>
    </task>
    <option name="localTasksCounter" value="2" />
    <servers />
  </component>
  <component name="Vcs.Log.History.Properties">
    <option name="COLUMN_ID_ORDER">
      <list>
        <option value="Default.Root" />
        <option value="Default.Author" />
        <option value="Default.Date" />
        <option value="Default.Subject" />
      </list>
    </option>
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="OPEN_GENERIC_TABS">
      <map>
        <entry key="7ab41548-15d5-496c-9a01-199001ed66f1" value="TOOL_WINDOW" />
      </map>
    </option>
    <option name="TAB_STATES">
      <map>
        <entry key="7ab41548-15d5-496c-9a01-199001ed66f1">
          <value>
            <State>
              <option name="FILTERS">
                <map>
                  <entry key="branch">
                    <value>
                      <list>
                        <option value="HEAD" />
                      </list>
                    </value>
                  </entry>
                  <entry key="structure">
                    <value>
                      <list>
                        <option value="dir:/home/fla/Development/projects/undertow/jakarta" />
                      </list>
                    </value>
                  </entry>
                </map>
              </option>
              <option name="SHOW_ONLY_AFFECTED_CHANGES" value="true" />
            </State>
          </value>
        </entry>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="[UNDERTOW-2449] Investigate new failures that started showing up" />
    <option name="LAST_COMMIT_MESSAGE" value="[UNDERTOW-2449] Investigate new failures that started showing up" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/HttpServletResponseImpl.java</url>
          <line>190</line>
          <option name="timeStamp" value="2" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/conduits/AbstractFixedLengthStreamSinkConduit.java</url>
          <line>208</line>
          <option name="timeStamp" value="5" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar://$MAVEN_REPOSITORY$/org/jboss/xnio/xnio-api/3.8.7.Final/xnio-api-3.8.7.Final-sources.jar!/org/xnio/channels/SslChannel.java</url>
          <option name="timeStamp" value="30" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/http2/Http2DataStreamSinkChannel.java</url>
          <line>263</line>
          <option name="timeStamp" value="51" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/client/http2/Http2ClientConnection.java</url>
          <line>298</line>
          <option name="timeStamp" value="52" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/handlers/security/ServletSecurityConstraintHandler.java</url>
          <line>44</line>
          <option name="timeStamp" value="57" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/handlers/security/ServletAuthenticationConstraintHandler.java</url>
          <line>45</line>
          <option name="timeStamp" value="58" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/handlers/security/ServletAuthenticationConstraintHandler.java</url>
          <line>47</line>
          <option name="timeStamp" value="59" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/handlers/security/ServletAuthenticationConstraintHandler.java</url>
          <line>46</line>
          <option name="timeStamp" value="61" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/api/SecurityConstraint.java</url>
          <line>54</line>
          <option name="timeStamp" value="66" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/api/SecurityInfo.java</url>
          <line>101</line>
          <option name="timeStamp" value="67" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/api/SecurityConstraint.java</url>
          <line>31</line>
          <option name="timeStamp" value="68" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/api/SecurityConstraint.java</url>
          <line>48</line>
          <option name="timeStamp" value="69" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/api/SecurityConstraint.java</url>
          <line>43</line>
          <option name="timeStamp" value="71" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/api/SecurityConstraint.java</url>
          <line>38</line>
          <option name="timeStamp" value="72" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/api/SecurityConstraint.java</url>
          <line>59</line>
          <option name="timeStamp" value="73" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/handlers/security/SecurityPathMatches.java</url>
          <line>169</line>
          <option name="timeStamp" value="74" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/handlers/security/SecurityPathMatches.java</url>
          <line>88</line>
          <option name="timeStamp" value="76" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/handlers/security/ServletSecurityConstraintHandler.java</url>
          <line>46</line>
          <option name="timeStamp" value="77" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/handlers/security/ServletSecurityConstraintHandler.java</url>
          <line>47</line>
          <option name="timeStamp" value="79" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/handlers/security/ServletSecurityConstraintHandler.java</url>
          <line>48</line>
          <option name="timeStamp" value="80" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/handlers/security/ServletSecurityConstraintHandler.java</url>
          <line>49</line>
          <option name="timeStamp" value="81" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/handlers/security/ServletSecurityConstraintHandler.java</url>
          <line>50</line>
          <option name="timeStamp" value="82" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/handlers/security/ServletSecurityConstraintHandler.java</url>
          <line>51</line>
          <option name="timeStamp" value="83" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/handlers/security/ServletSecurityConstraintHandler.java</url>
          <line>52</line>
          <option name="timeStamp" value="84" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/test/java/io/undertow/servlet/test/security/constraint/AuthenticationMessageServlet.java</url>
          <line>68</line>
          <option name="timeStamp" value="86" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/security/handlers/AuthenticationConstraintHandler.java</url>
          <line>46</line>
          <option name="timeStamp" value="89" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/security/handlers/AuthenticationConstraintHandler.java</url>
          <line>52</line>
          <option name="timeStamp" value="90" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/security/api/SecurityContext.java</url>
          <option name="timeStamp" value="91" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/test/java/io/undertow/servlet/test/streams/AsyncOutputStreamServlet.java</url>
          <line>57</line>
          <option name="timeStamp" value="92" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/test/java/io/undertow/servlet/test/listener/request/async/onError/AsyncEventListener.java</url>
          <line>74</line>
          <option name="timeStamp" value="93" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/test/java/io/undertow/servlet/test/listener/request/async/onError/AsyncEventListener.java</url>
          <line>79</line>
          <option name="timeStamp" value="94" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/session/InMemorySessionManager.java</url>
          <line>366</line>
          <option name="timeStamp" value="97" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/test/java/io/undertow/server/MaxRequestSizeTestCase.java</url>
          <line>124</line>
          <option name="timeStamp" value="100" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/test/java/io/undertow/server/MaxRequestSizeTestCase.java</url>
          <line>121</line>
          <option name="timeStamp" value="101" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/protocol/http2/Http2ServerConnection.java</url>
          <line>175</line>
          <option name="timeStamp" value="108" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/protocol/framed/AbstractFramedStreamSourceChannel.java</url>
          <line>308</line>
          <option name="timeStamp" value="118" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/protocol/framed/AbstractFramedStreamSourceChannel.java</url>
          <line>92</line>
          <option name="timeStamp" value="120" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/client/http2/Http2ClientConnection.java</url>
          <line>383</line>
          <option name="timeStamp" value="122" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/handlers/proxy/ProxyConnectionPool.java</url>
          <line>290</line>
          <option name="timeStamp" value="135" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/handlers/proxy/ProxyConnectionPool.java</url>
          <line>299</line>
          <option name="timeStamp" value="136" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/test/java/io/undertow/server/handlers/LotsOfHeadersResponseTestCase.java</url>
          <line>88</line>
          <option name="timeStamp" value="141" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/test/java/io/undertow/server/handlers/LotsOfHeadersResponseTestCase.java</url>
          <line>83</line>
          <option name="timeStamp" value="142" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/test/java/io/undertow/servlet/test/response/writer/ResponseWriterTestCase.java</url>
          <line>119</line>
          <option name="timeStamp" value="143" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/test/java/io/undertow/util/NetworkUtilsAddressParsingTestCase.java</url>
          <line>177</line>
          <option name="timeStamp" value="147" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/handlers/HttpContinueAcceptingHandler.java</url>
          <line>63</line>
          <option name="timeStamp" value="150" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/handlers/HttpContinueAcceptingHandler.java</url>
          <line>68</line>
          <option name="timeStamp" value="151" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/handlers/HttpContinueAcceptingHandler.java</url>
          <line>64</line>
          <option name="timeStamp" value="153" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/ssl/SslConduit.java</url>
          <line>651</line>
          <option name="timeStamp" value="160" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/handlers/accesslog/AccessLogHandler.java</url>
          <line>151</line>
          <option name="timeStamp" value="166" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/HttpServerExchange.java</url>
          <line>454</line>
          <option name="timeStamp" value="167" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/HttpServerExchange.java</url>
          <line>465</line>
          <option name="timeStamp" value="168" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/protocol/ajp/AjpRequestParser.java</url>
          <line>248</line>
          <option name="timeStamp" value="169" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/test/java/io/undertow/predicate/PredicateParsingTestCase.java</url>
          <line>137</line>
          <option name="timeStamp" value="172" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/protocol/ajp/AjpRequestParser.java</url>
          <line>427</line>
          <option name="timeStamp" value="173" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/protocol/ajp/AjpRequestParser.java</url>
          <line>344</line>
          <option name="timeStamp" value="186" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/protocol/ajp/AjpRequestParser.java</url>
          <line>267</line>
          <option name="timeStamp" value="187" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/protocol/ajp/AjpRequestParser.java</url>
          <line>428</line>
          <option name="timeStamp" value="188" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/protocol/ajp/AjpRequestParser.java</url>
          <line>188</line>
          <option name="timeStamp" value="189" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/protocol/ajp/AjpRequestParser.java</url>
          <line>539</line>
          <option name="timeStamp" value="191" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/protocol/ajp/AjpRequestParser.java</url>
          <line>548</line>
          <option name="timeStamp" value="192" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/protocol/http/HttpResponseConduit.java</url>
          <line>609</line>
          <option name="timeStamp" value="198" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/protocol/http/HttpResponseConduit.java</url>
          <line>235</line>
          <option name="timeStamp" value="200" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/conduits/ChunkedStreamSinkConduit.java</url>
          <line>411</line>
          <option name="timeStamp" value="207" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/test/java/io/undertow/server/handlers/sse/ServerSentEventTestCase.java</url>
          <line>55</line>
          <option name="timeStamp" value="209" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/test/java/io/undertow/server/handlers/sse/ServerSentEventTestCase.java</url>
          <line>100</line>
          <option name="timeStamp" value="210" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/test/java/io/undertow/server/handlers/sse/ServerSentEventTestCase.java</url>
          <line>195</line>
          <option name="timeStamp" value="211" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/handlers/sse/ServerSentEventHandler.java</url>
          <line>86</line>
          <option name="timeStamp" value="212" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/handlers/sse/ServerSentEventHandler.java</url>
          <line>59</line>
          <option name="timeStamp" value="213" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/test/java/io/undertow/server/handlers/sse/ServerSentEventTestCase.java</url>
          <line>66</line>
          <option name="timeStamp" value="214" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/test/java/io/undertow/server/handlers/sse/ServerSentEventTestCase.java</url>
          <line>63</line>
          <option name="timeStamp" value="215" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/test/java/io/undertow/server/handlers/sse/ServerSentEventTestCase.java</url>
          <line>60</line>
          <option name="timeStamp" value="216" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/handlers/sse/ServerSentEventConnection.java</url>
          <line>254</line>
          <option name="timeStamp" value="217" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/HttpServerExchange.java</url>
          <line>2045</line>
          <option name="timeStamp" value="219" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar://$MAVEN_REPOSITORY$/org/jboss/xnio/xnio-api/3.8.13.Final/xnio-api-3.8.13.Final-sources.jar!/org/xnio/Connection.java</url>
          <line>122</line>
          <option name="timeStamp" value="223" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar://$MAVEN_REPOSITORY$/org/jboss/xnio/xnio-api/3.8.13.Final/xnio-api-3.8.13.Final-sources.jar!/org/xnio/Connection.java</url>
          <line>81</line>
          <option name="timeStamp" value="224" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar://$MAVEN_REPOSITORY$/org/jboss/xnio/xnio-api/3.8.13.Final/xnio-api-3.8.13.Final-sources.jar!/org/xnio/Connection.java</url>
          <line>82</line>
          <option name="timeStamp" value="225" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/websockets-jsr/src/test/java/io/undertow/websockets/jsr/test/stress/WebsocketStressTestCase.java</url>
          <line>114</line>
          <option name="timeStamp" value="238" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/websockets-jsr/src/test/java/io/undertow/websockets/jsr/test/stress/StressEndpoint.java</url>
          <line>45</line>
          <option name="timeStamp" value="241" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/websockets-jsr/src/test/java/io/undertow/websockets/jsr/test/stress/StressEndpoint.java</url>
          <line>58</line>
          <option name="timeStamp" value="242" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/http2/Http2FrameHeaderParser.java</url>
          <line>111</line>
          <option name="timeStamp" value="254" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/http2/Http2Channel.java</url>
          <line>408</line>
          <option name="timeStamp" value="262" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/http2/Http2Channel.java</url>
          <line>415</line>
          <option name="timeStamp" value="263" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/http2/Http2Channel.java</url>
          <line>420</line>
          <option name="timeStamp" value="264" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/http2/Http2Channel.java</url>
          <line>451</line>
          <option name="timeStamp" value="265" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/http2/Http2Channel.java</url>
          <line>452</line>
          <option name="timeStamp" value="266" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/http2/Http2Channel.java</url>
          <line>456</line>
          <option name="timeStamp" value="268" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/http2/Http2Channel.java</url>
          <line>471</line>
          <option name="timeStamp" value="269" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/http2/Http2Channel.java</url>
          <line>476</line>
          <option name="timeStamp" value="270" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/http2/Http2Channel.java</url>
          <line>533</line>
          <option name="timeStamp" value="271" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/http2/Http2Channel.java</url>
          <line>701</line>
          <option name="timeStamp" value="273" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/http2/Http2Channel.java</url>
          <line>719</line>
          <option name="timeStamp" value="274" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/http2/Http2Channel.java</url>
          <line>759</line>
          <option name="timeStamp" value="275" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/http2/Http2Channel.java</url>
          <line>771</line>
          <option name="timeStamp" value="276" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/http2/Http2Channel.java</url>
          <line>777</line>
          <option name="timeStamp" value="277" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/http2/Http2Channel.java</url>
          <line>784</line>
          <option name="timeStamp" value="278" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/http2/Http2DataFrameParser.java</url>
          <line>45</line>
          <option name="timeStamp" value="279" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/http2/Http2DataFrameParser.java</url>
          <line>51</line>
          <option name="timeStamp" value="280" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/http2/Http2FrameHeaderParser.java</url>
          <line>73</line>
          <option name="timeStamp" value="281" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/http2/Http2FrameHeaderParser.java</url>
          <line>78</line>
          <option name="timeStamp" value="282" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/http2/Http2FrameHeaderParser.java</url>
          <line>85</line>
          <option name="timeStamp" value="283" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/http2/Http2FrameHeaderParser.java</url>
          <line>102</line>
          <option name="timeStamp" value="284" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/http2/Http2FrameHeaderParser.java</url>
          <line>106</line>
          <option name="timeStamp" value="285" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/http2/Http2FrameHeaderParser.java</url>
          <line>158</line>
          <option name="timeStamp" value="292" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/http2/Http2HeaderBlockParser.java</url>
          <line>144</line>
          <option name="timeStamp" value="296" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/http2/Http2StreamSourceChannel.java</url>
          <line>294</line>
          <option name="timeStamp" value="298" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/http2/Http2StreamSourceChannel.java</url>
          <line>297</line>
          <option name="timeStamp" value="299" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/protocol/http2/Http2ReceiveListener.java</url>
          <line>175</line>
          <option name="timeStamp" value="302" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/protocol/http2/Http2ReceiveListener.java</url>
          <line>182</line>
          <option name="timeStamp" value="303" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/http2/Http2Channel.java</url>
          <line>834</line>
          <option name="timeStamp" value="309" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/client/http/HttpClientConnection.java</url>
          <line>494</line>
          <option name="timeStamp" value="319" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/test/java/io/undertow/testutils/DefaultServer.java</url>
          <line>425</line>
          <option name="timeStamp" value="323" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/test/java/io/undertow/testutils/DefaultServer.java</url>
          <line>967</line>
          <option name="timeStamp" value="324" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/protocols/http2/Http2HeaderBlockParser.java</url>
          <line>138</line>
          <option name="timeStamp" value="329" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/client/http2/Http2PriorKnowledgeClientProvider.java</url>
          <line>102</line>
          <option name="timeStamp" value="336" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/Connectors.java</url>
          <line>509</line>
          <option name="timeStamp" value="339" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/protocol/http/HttpRequestParser.java</url>
          <line>427</line>
          <option name="timeStamp" value="346" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/protocol/http/HttpRequestParser.java</url>
          <line>449</line>
          <option name="timeStamp" value="347" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/conduits/ReadTimeoutStreamSourceConduit.java</url>
          <line>133</line>
          <option name="timeStamp" value="378" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/conduits/ReadTimeoutStreamSourceConduit.java</url>
          <line>73</line>
          <option name="timeStamp" value="379" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/ServletOutputStreamImpl.java</url>
          <line>167</line>
          <option name="timeStamp" value="383" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/ServletOutputStreamImpl.java</url>
          <line>171</line>
          <option name="timeStamp" value="385" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/ServletPrintWriter.java</url>
          <line>133</line>
          <option name="timeStamp" value="386" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/ServletPrintWriter.java</url>
          <line>183</line>
          <option name="timeStamp" value="387" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/ServletPrintWriter.java</url>
          <line>197</line>
          <option name="timeStamp" value="388" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/ServletPrintWriter.java</url>
          <line>213</line>
          <option name="timeStamp" value="390" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/ServletPrintWriter.java</url>
          <line>302</line>
          <option name="timeStamp" value="391" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/protocol/http/HttpRequestParser.java</url>
          <line>533</line>
          <option name="timeStamp" value="392" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/protocol/http/HttpRequestParser.java</url>
          <line>558</line>
          <option name="timeStamp" value="393" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/protocol/http/HttpRequestParser.java</url>
          <line>553</line>
          <option name="timeStamp" value="394" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/handlers/proxy/ProxyHandler.java</url>
          <line>183</line>
          <option name="timeStamp" value="396" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/HttpServerExchange.java</url>
          <line>962</line>
          <option name="timeStamp" value="397" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/handlers/proxy/ProxyHandler.java</url>
          <line>449</line>
          <option name="timeStamp" value="398" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/websockets-jsr/src/main/java/io/undertow/websockets/jsr/UndertowContainerProvider.java</url>
          <line>122</line>
          <option name="timeStamp" value="401" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/websockets-jsr/src/main/java/io/undertow/websockets/jsr/UndertowContainerProvider.java</url>
          <line>128</line>
          <option name="timeStamp" value="402" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/test/java/io/undertow/servlet/test/dispatcher/DispatcherForwardTestCase.java</url>
          <line>140</line>
          <option name="timeStamp" value="410" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/attribute/ServletRelativePathAttribute.java</url>
          <line>47</line>
          <option name="timeStamp" value="414" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/attribute/ServletRelativePathAttribute.java</url>
          <line>48</line>
          <option name="timeStamp" value="415" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/attribute/ServletRelativePathAttribute.java</url>
          <line>49</line>
          <option name="timeStamp" value="416" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/test/java/io/undertow/servlet/test/dispatcher/DispatcherForwardTestCase.java</url>
          <line>76</line>
          <option name="timeStamp" value="418" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/handlers/accesslog/AccessLogHandler.java</url>
          <line>153</line>
          <option name="timeStamp" value="419" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/attribute/RelativePathAttribute.java</url>
          <line>41</line>
          <option name="timeStamp" value="420" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/HttpServerExchange.java</url>
          <line>545</line>
          <option name="timeStamp" value="421" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/protocol/ajp/AjpRequestParser.java</url>
          <line>450</line>
          <option name="timeStamp" value="440" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/protocol/ajp/AjpRequestParser.java</url>
          <line>266</line>
          <option name="timeStamp" value="441" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/protocol/http/HttpRequestParser.java</url>
          <line>586</line>
          <option name="timeStamp" value="452" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/protocol/http/HttpRequestParser.java</url>
          <line>560</line>
          <option name="timeStamp" value="453" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/protocol/http/HttpRequestParser.java</url>
          <line>563</line>
          <option name="timeStamp" value="454" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/protocol/http/HttpRequestParser.java</url>
          <line>594</line>
          <option name="timeStamp" value="455" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/handlers/proxy/ProxyHandler.java</url>
          <line>155</line>
          <option name="timeStamp" value="458" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/handlers/proxy/ProxyHandler.java</url>
          <line>166</line>
          <option name="timeStamp" value="459" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/handlers/proxy/ProxyHandler.java</url>
          <line>170</line>
          <option name="timeStamp" value="460" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/Connectors.java</url>
          <line>570</line>
          <option name="timeStamp" value="461" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/protocol/http2/Http2UpgradeHandler.java</url>
          <line>178</line>
          <option name="timeStamp" value="466" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/Connectors.java</url>
          <line>557</line>
          <option name="timeStamp" value="467" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/Connectors.java</url>
          <line>559</line>
          <option name="timeStamp" value="468" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/Connectors.java</url>
          <line>548</line>
          <option name="timeStamp" value="469" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/Connectors.java</url>
          <line>538</line>
          <option name="timeStamp" value="470" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/Connectors.java</url>
          <line>536</line>
          <option name="timeStamp" value="471" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/Connectors.java</url>
          <line>525</line>
          <option name="timeStamp" value="472" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/Connectors.java</url>
          <line>519</line>
          <option name="timeStamp" value="473" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/Connectors.java</url>
          <line>515</line>
          <option name="timeStamp" value="474" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/HttpServerExchange.java</url>
          <line>1186</line>
          <option name="timeStamp" value="476" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/HttpServerExchange.java</url>
          <line>1179</line>
          <option name="timeStamp" value="477" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/handlers/accesslog/DefaultAccessLogReceiver.java</url>
          <line>141</line>
          <option name="timeStamp" value="479" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/server/handlers/accesslog/DefaultAccessLogReceiver.java</url>
          <line>155</line>
          <option name="timeStamp" value="480" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/ServletInputStreamImpl.java</url>
          <line>197</line>
          <option name="timeStamp" value="485" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/spec/ServletInputStreamImpl.java</url>
          <line>211</line>
          <option name="timeStamp" value="486" />
        </line-breakpoint>
        <breakpoint enabled="true" type="java-exception">
          <properties class="org.apache.http.NoHttpResponseException" package="org.apache.http" />
          <option name="timeStamp" value="155" />
        </breakpoint>
        <line-breakpoint enabled="true" type="java-method">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/client/ClientExchange.java</url>
          <line>33</line>
          <properties class="io.undertow.client.ClientExchange" method="setPushHandler">
            <option name="EMULATED" value="true" />
            <option name="WATCH_EXIT" value="false" />
          </properties>
          <option name="timeStamp" value="375" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-method">
          <url>jar://$USER_HOME$/.sdkman/candidates/java/17.0.2-open/lib/src.zip!/java.base/java/lang/ClassCastException.java</url>
          <line>55</line>
          <properties class="java.lang.ClassCastException" method="&lt;init&gt;">
            <option name="EMULATED" value="true" />
            <option name="WATCH_EXIT" value="false" />
          </properties>
          <option name="timeStamp" value="407" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-method">
          <url>jar://$USER_HOME$/.sdkman/candidates/java/17.0.2-open/lib/src.zip!/java.base/java/lang/ClassCastException.java</url>
          <line>45</line>
          <properties class="java.lang.ClassCastException" method="&lt;init&gt;">
            <option name="EMULATED" value="true" />
            <option name="WATCH_EXIT" value="false" />
          </properties>
          <option name="timeStamp" value="408" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-method">
          <url>file://$PROJECT_DIR$/servlet/src/main/java/io/undertow/servlet/attribute/ServletRelativePathAttribute.java</url>
          <line>41</line>
          <properties class="io.undertow.servlet.attribute.ServletRelativePathAttribute">
            <option name="EMULATED" value="true" />
            <option name="WATCH_EXIT" value="false" />
          </properties>
          <option name="timeStamp" value="417" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-method">
          <url>file://$PROJECT_DIR$/core/src/main/java/io/undertow/attribute/RelativePathAttribute.java</url>
          <line>35</line>
          <properties class="io.undertow.attribute.RelativePathAttribute" method="&lt;init&gt;">
            <option name="EMULATED" value="true" />
            <option name="WATCH_EXIT" value="false" />
          </properties>
          <option name="timeStamp" value="422" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
    <pin-to-top-manager>
      <pinned-members>
        <PinnedItemInfo parentTag="io.undertow.servlet.core.DeploymentManagerImpl" memberName="deployment" />
        <PinnedItemInfo parentTag="io.undertow.protocols.ssl.SslConduit" memberName="delegate" />
      </pinned-members>
    </pin-to-top-manager>
  </component>
  <component name="XSLT-Support.FileAssociations.UIState">
    <expand />
    <select />
  </component>
  <component name="com.intellij.coverage.CoverageDataManagerImpl">
    <SUITE FILE_PATH="coverage/undertow_parent$JDBCLogDatabaseTestCase_testSingleLogMessageToDatabase.ic" NAME="JDBCLogDatabaseTestCase.testSingleLogMessageToDatabase Coverage Results" MODIFIED="1665555295621" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="idea" COVERAGE_BY_TEST_ENABLED="false" COVERAGE_TRACING_ENABLED="false">
      <FILTER>io.undertow.server.handlers.*</FILTER>
    </SUITE>
  </component>
</project>